Skip to main content

Query the currency information

Returns detailed coin information and contract addresses.

HTTP Request

  • GET /api/v3/capital/config/getall

Required Permission: SPOT_WITHDRAW_READ

Weight(IP): 10

Request Parameters

None

Response Parameters

NameDescription
coinCoin symbol
depositDescDeposit description
depositEnableWhether deposit is enabled
minConfirmMinimum confirmations required for deposit
depositPreConfirmsPre-confirmation count for deposit
nameNetwork display name
networkWithdraw network display name (legacy parameter, will be deprecated)
withdrawEnableWhether withdraw is enabled
withdrawFeeWithdraw fee
withdrawIntegerMultipleWithdraw amount increment
withdrawMaxMax withdraw amount
withdrawMinMin withdraw amount
sameAddressWhether deposit and withdraw share the same address format
contractContract address
withdrawTipsWithdraw tips
depositTipsDeposit tips
netWorkWithdraw network (new parameter, for the new withdraw endpoint)

Response

[
{
"coin": "CATCHOLD",
"name": "SpaceCatch",
"networkList": [
{
"coin": "CATCHOLD",
"depositDesc": "Deposit is prohibited (forced deposit may result in asset loss)",
"depositEnable": false,
"minConfirm": 3360,
"depositPreConfirms": 120,
"name": "SpaceCatch",
"network": "Arbitrum One(ARB)",
"withdrawEnable": true,
"withdrawFee": "0",
"withdrawIntegerMultiple": "18",
"withdrawMax": "100000",
"withdrawMin": "1",
"sameAddress": false,
"contract": "0xf0a479C9c3378638EC603b8B6B0d75903902550B",
"withdrawTips": null,
"depositTips": null,
"netWork": "ARB"
}
]
},
{
"coin": "BBC",
"name": "ByByeCar",
"networkList": [
{
"coin": "BBC",
"depositDesc": "Deposit is prohibited (forced deposit may result in asset loss)",
"depositEnable": false,
"minConfirm": 20,
"depositPreConfirms": 2,
"name": "ByByeCar",
"network": "Tron(TRC20)",
"withdrawEnable": true,
"withdrawFee": "0",
"withdrawIntegerMultiple": "18",
"withdrawMax": "200000",
"withdrawMin": "1",
"sameAddress": false,
"contract": "TRrkeSxEypfiTn7gU3Gg3tP756cEhK493b",
"withdrawTips": "",
"depositTips": "",
"netWork": "TRX"
}
]
}
]